type: diagnostic_aggregator/GenericAnalyzer
analyzers:
  vision:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Vision
    remove_prefix:
      - "vision_supervisor"
    expected:
      - "cameras_vision3: vision_pipeline_diagnostic"
      - "cameras_vision3: vision_thumbnailer_component_zci"
      - "cameras_vision3: vision3_pipeline_zci"
      - "cameras_vision3: vision3_detection_tracking_zci"
      - "cameras_vision3: detection_tracking"
      - "cameras_vision3: image_monitor"
      - "cameras_vision3: vision3_image_monitor_zci"
      - "cameras_vision4: vision_pipeline_diagnostic"
      - "cameras_vision4: vision_thumbnailer_component_zci"
      - "cameras_vision4: vision4_pipeline_zci"
      - "cameras_vision4: vision4_detection_tracking_zci"
      - "cameras_vision4: detection_tracking"
      - "cameras_vision4: image_monitor"
      - "cameras_vision4: vision4_image_monitor_zci"
      - "cameras_vision5: vision_pipeline_diagnostic"
      - "cameras_vision5: vision_thumbnailer_component_zci"
      - "cameras_vision5: vision5_pipeline_zci"
      - "cameras_vision5: vision5_detection_tracking_zci"
      - "cameras_vision5: detection_tracking"
      - "cameras_vision5: image_monitor"
      - "cameras_vision5: vision5_image_monitor_zci"
      - "cameras_vision7: vision_pipeline_diagnostic"
      - "cameras_vision7: vision_thumbnailer_component_zci"
      - "cameras_vision7: vision7_pipeline_zci"
      - "cameras_vision7: vision7_detection_tracking_zci"
      - "cameras_vision7: detection_tracking"
      - "cameras_vision7: image_monitor"
      - "cameras_vision7: vision7_image_monitor_zci"
      - "cameras_vision9: vision_pipeline_diagnostic"
      - "cameras_vision9: vision_thumbnailer_component_zci"
      - "cameras_vision9: vision9_pipeline_zci"
      - "cameras_vision9: vision9_detection_tracking_zci"
      - "cameras_vision9: detection_tracking"
      - "cameras_vision9: image_monitor"
      - "cameras_vision9: vision9_image_monitor_zci"
      - "cameras_vision13: vision_pipeline_diagnostic"
      - "cameras_vision13: vision_thumbnailer_component_zci"
      - "cameras_vision13: vision13_pipeline_zci"
      - "cameras_vision13: vision13_detection_tracking_zci"
      - "cameras_vision13: detection_tracking"
      - "cameras_vision13: image_monitor"
      - "cameras_vision13: vision13_image_monitor_zci"
      - "cameras_vision15: vision_pipeline_diagnostic"
      - "cameras_vision15: vision_thumbnailer_component_zci"
      - "cameras_vision15: vision15_pipeline_zci"
      - "cameras_vision15: vision15_detection_tracking_zci"
      - "cameras_vision15: detection_tracking"
      - "cameras_vision15: image_monitor"
      - "cameras_vision15: vision15_image_monitor_zci"
      - "vision_supervisor: Vision Persistence Node Orchestration"
      - "vision_supervisor: Vision ROS Diagnostic Aggregator Orchestration"
      - "vision_supervisor: supervisor_zci"
      - "vision_supervisor: supervisor_diagnostic"
